CertStoreCollectionSpi (Bouncy Castle Library 1.52 API Specification)

org.bouncycastle.jce.provider

## Class CertStoreCollectionSpi

- java.lang.Object
- - java.security.cert.CertStoreSpi
  - - org.bouncycastle.jce.provider.CertStoreCollectionSpi

-     public class CertStoreCollectionSpi
      extends java.security.cert.CertStoreSpi

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CertStoreCollectionSpi(java.security.cert.CertStoreParameters params)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Collection` | `engineGetCertificates(java.security.cert.CertSelector selector)`
    `java.util.Collection` | `engineGetCRLs(java.security.cert.CRLSelector selector)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CertStoreCollectionSpi

          public CertStoreCollectionSpi(java.security.cert.CertStoreParameters params)
                                 throws java.security.InvalidAlgorithmParameterException

      Throws:
        `java.security.InvalidAlgorithmParameterException`

  - ### Method Detail

    - #### engineGetCertificates

          public java.util.Collection engineGetCertificates(java.security.cert.CertSelector selector)
                                                     throws java.security.cert.CertStoreException

      Specified by:
        `engineGetCertificates` in class `java.security.cert.CertStoreSpi`
      Throws:
        `java.security.cert.CertStoreException`

    - #### engineGetCRLs

          public java.util.Collection engineGetCRLs(java.security.cert.CRLSelector selector)
                                             throws java.security.cert.CertStoreException

      Specified by:
        `engineGetCRLs` in class `java.security.cert.CertStoreSpi`
      Throws:
        `java.security.cert.CertStoreException`